Changes between 2.1.4 and 2.1.5:
----------------------------------

Application:
 * Improve external devices management
 * Fix SFTP browsing
 * Bugfixes

Changes between 2.1.3 and 2.1.4:
----------------------------------

Application:
 * Revert to scan the whole storage by default instead of media folders
 * 'Inster next' option in contextual menu
 * Fix crash with remote controls on Android 2.3
 * Fix 360° videos control
 * Fix upgrade from VLC v 2.0 -> 2.1
 * Fix external storage scan
 * Misc. fixes

Core:
 * Fix timeout on network credentials step
 * Fix crash when stopping h264 playback
 * Fix crash on TLS connections


Changes between 2.1.2 and 2.1.3:
----------------------------------

Application:
 * Translations update
 * Get 360° videos zoom more linear
 * 'Last added' section for Android Auto
 * Enable 'previous' media button with only 1 media playing
 * Fix remote control for Android 2
 * set max aspect ratio to 2.1
 * Don't show public directory as an external storage

Core
 * Improve cover detection
 * Improve MP4V/H264/HEVC adaptive playback performances

Changes between 2.1.1 and 2.1.2:
----------------------------------

Application:
 - VLC now shows a dialog to ask for external storage scan
 - Voice search for TV
 - Voice actions for Auto
 - Stream url loader is now a dialog, and available on TV
 - Allow to choose subs file on network
 - File browsing is now processed in background
 - If collection is empty, show a button to start 'directories' setting page
 - Fix player sliding under action bar in playlist & info views
 - Fix equalizer display
 - Fix video player stuck after device being locked
 - Tackles some crashes

Core
 * DTSHD and TRUEHD HDMI passthrough
 * Don't play via passthrough an encoding format that is not supported

Changes between 2.1.0 and 2.1.1:
----------------------------------

Application:
 - Improve audio categories and images loading performance
 - Restore runtime permission for brightness change
 - Fix media discovery crash on some sdcards
 - Fix resume position for video launched from 3rd party apps
 - More discrete scan notification
 - Add network media to history
 - Tackles various crash, including one when you have more than 500 albums

Changes between 2.0.0 and 2.1.0:
----------------------------------

Application:
 * 360° videos support
 * Android Auto implementation
 * DayNight mode integration
 * New Search activity and integration with Google Now
 * Option to filter in current media list
 * Restored double/long click on remote play to skip songs
 * Allow network browsing & discovery when connected to a VPN
 * Added multiselection mode
 * Removed sound lowering on notification
 * Redesigned audio, video & history lists/grid
 * Redesigned Info and album/playlist views
 * New icons
 * Audio player background is now filled with blurred cover
 * Force previous song on audioplayer swipe
 * Refactored MediaLibrary
 * CoordinatorLayout integration
 * Transparent theme for smoother startup
 * PlaybackService now persists
 * Improve RTL support
 * Fix audioplayer layout for black theme and RTL
 * Fix notification content when no artist nor album
 * Update notification when playlist is ended
 * Upgraded AppCompat to version 25.2.0
 * Improve app & video player startup speed
 * Support LG 18:9 aspect ratio

TV:
 * Picture-In-Picture mode integration
 * Improved theme

Core
 * Switch to clang and libc++_shared using ndk13
 * 360° videos support
 * OpenGLES 2.0 is now used to render video (for software decoders)
 * AV1 codec support
 * Support for VP8/VP9/VP10 in MP4
 * e-AC3 HDMI passthrough


Changes between 1.9.13 and 2.0.0:
----------------------------------

Application:
 * Fix UPnP media display name

Core:
 * Fix UPnP browsing

Changes between 1.9.12 and 1.9.13:
----------------------------------

Application:
 * Allow subtitles on network (except UPnP)
 * Remember subs chosen via this picker
 * Support CC button on remotes
 * Fixes


Changes between 1.9.11 and 1.9.12:
----------------------------------

Application:
 * Allow subtitles download for any video
 * Add subtitles downloader in video player
 * Improve UI update while scanning device for media
 * Show loading animation when video player is buffering
 * Fix grouping videos starting with "The"
 * Fix some UI glitch whel 'large fonts' accessibility setting is activated

TV:
 * Improve Audio Player view
 * Fix network folders details view

Core:
 * Fix some deadlock in mkv files playback
 * Detect subtitles on network
 * Update codecs and demuxers
 * Improve thumbnail generation speed


Changes between 1.9.10 and 1.9.11:
----------------------------------

Application:
 * Fix thumbnails look
 * Fix seeking state when lock

Core:
 * Update codecs and demuxers


Changes between 1.9.9 and 1.9.10:
--------------------------------

Application:
 * Fix crash while searching
 * Fix crash in settings -> Directories
 * Fix delay/spped controls invisible with hdmi/screencast
 * Fix loading video from 3rd party app with space in its name
 * Added Tamil language for subtitles download


Changes between 1.9.8 and 1.9.9:
--------------------------------

Application:
 * Fix navigation with DPAD
 * Improved RTL support
 * Browsers: go back at root level on navigation menu category click
 * Fix position in video not restored when launched from an external app
 * Improved design in playlist, history and browsers
 * Misc. fixes

TV:
 * Changed video player controls:
    - ↓ shows control panel
    - ↑ shows advanced options
    - ← and → seek in video
    - OK/Select button toggles play/pays when control panel is not displayed


Changes between 1.9.7 and 1.9.8:
--------------------------------

Application:
 * Subtitles download (local files only for now)
 * Fix resume point for video launch from 3rd party app
 * Fix repeat with only one media
 * Add repeat and shuffle modes in video player
 * Batter DPAD navigation in tablet UI
 * Fill artist tag for session metadata
 * Prevent grouping videos starting with "The"

TV:
 * Long click on any media display the details view
 * Subtitles download (local files only for now)


Changes between 1.9.6 and 1.9.7:
--------------------------------

Application:
 * Overlay popup view for video playback
 * Enable split window mode on LG devices
 * Fix Media Information infinite loading
 * TV: Close folder if login dialog is canceled
 * Misc fixes


Changes between 1.9.5 and 1.9.6:
--------------------------------

Application:
 * Activate multi windows mode for Samsung devices
 * Display a FAB to play all media of a folder in browsers views
 * Simple click in a folder now just plays the media, not all of them
 * Fix video load while playing audio
 * Use '+' and '-' buttons to set video playback speed, instead of progressbar


Changes between 1.9.4 and 1.9.5:
--------------------------------

Application:
 * Restore video playlist playback
 * Remember playback state after a call or headset unplug/replug
 * Force video player orientation on sensor instead of user preference
 * Fix media launch from gallery app
 * Fix lock not restoring video orientation


Changes between 1.9.3 and 1.9.4:
--------------------------------

Application:
 * Feature to set a song as ringtone from current playlist
 * Fix video resume from background playback or apps switching
 * Remember paused state in Video player
 * Improve randomization for playback
 * Fix notification being briefly displayed for network videos
 * Fix potential crash when launched by a 3rd party app


Changes between 1.9.2 and 1.9.3:
--------------------------------

Application:
 * Option to remember video playback speed
 * Add "Append to playlist" feature for audio media
 * Enlarge login dialog
 * Disable username for manual SMB server adding
 * Store login credentials by default & remember choice
 * Hide media length in playlist when we don't know it
 * Fix play/pause from notification
 * Fix external calls for VLC to play videos not handled
 * Fix EqualizerFragment empty after being paused
 * Misc. fixes

Core:
 * Improve network browsing
 * Improve streaming of large files


Changes between 1.9.1 and 1.9.2:
--------------------------------

Application:
 * Add 'Auto landscape' and 'Auto portrait' modes
 * Login dialog is now scrollable
 * Better usb key/SD card mount/unmount detection on TV
 * Fix wrong thumbnails on media or images corruption
 * Fix video -> audio transition
 * Fix VLC starting playback when another app grabs audiofocus
 * Fix Browsers and History appearance with large fonts
 * Misc fixes


Changes between 1.9.0 and 1.9.1:
--------------------------------

Application:
 * Ask system permission for brightness mode on Marshmallow
 * Fix thumbnails generation slowdown
 * Changed version code, beta is available for Android TV now
 * Samba library updated
 * Fix 'show last video' option being hidden
 * Fix crash on screen rotation with login dialog
 * Fixed notification displayed when playing network video
 * Go back on login dialog cancelled
 * Restrict video playlists from Android 2.x devices
 * Show server icon in favorites
 * Fix 'save as favorite' option not available for network servers
 * Fix image loading on TV
 * Misc. fixes

Changes between 1.7.0 and 1.9.0:
--------------------------------

Core:
 * Hardware accelleration is now asynchronous
 * Preparation for Asynchronous debugging
 * Use mpg123 as MP3 decoder
 * Improve UPnP support

Application:
 * Moved targetSDK to 23
 * Runtime permissions for storage & ringtone setting
 * Network browsing
 * Video Playlists
 * Search in 'now playing' playlist
 * Restore playback history
 * Properly restore previous Equalizer setting
 * Undo action for media deletion
 * 'now playing' list auto-scrolls to current item
 * Playback service is more persistent
 * Pause playback, instead of stop, on audiofocus lost
 * TV UI is now available for Android 4.2+ devices
 * Option to disable touch control in video playback
 * Option to disable coverArt as lockscreen wallpaper
 * Simplify and fix animations
 * 'Save playlist' has moved into Advanced options
 * Fix preferences appearence on Android 4.0+ devices
 * Fix HoneyComb status bar dimming in video playback
 * Fix media deletion
 * Fix crash with huge collection for a single artist
 * Fix playlist sections duplicated
 * Fix case sensitive sorting in browsers

 * @hide Extensions API

TV:
 * Audio Player view has been redesigned
 * Improve Now Playing button
 * Improve Audio player
 * Video, Songs and Browser views now sort item by first letter
 * File Browser
 * Playback history
 * 'About' and 'Licence' views
 * Scan device media more often

Known issues:
 * Cannot open files on SFTP servers with witespace.

Changes between 1.7.1 and 1.7.2:
--------------------------------

Application:
 * Fix small crashes
 * New work-around for broken SamSung/Wiko/QMobile phones


Changes between 1.7.0 and 1.7.1:
--------------------------------

Core:
 * Fix seeking deadlocks and no-sound after seek issues

Application
 * Numerous crashes and glitches for the application


Changes between 1.6.6 and 1.7.0:
--------------------------------

Nota Bene: The application is now only supporting Android 2.2+

Core:
 * New fonts rendering engine, with fonts fallback

Application:
 * Use MediaSessionCompat to replace MediaSession and RemoteControlClient
   This should fix a few weird bugs on some specific Android versions
 * New notification look
 * New Navigation menu, based on appcompat
 * Option to remember brightness level in video player
 * Restart current song on 'previous' click
 * We now display songs length in playlist
 * Refactored playlist & video views
 * Removal of dialogs to use Snackbars
 * Misc. fixes

ChromeOS:
 * 'Open' option replaces the directory browser
 * YUV chroma format preset by default on ChromeOS
 * Disable brightness control on ChromeOS


Changes between 1.6.5 and 1.6.6:
--------------------------------

TV:
 * Remove AUDIO_RECORD permission

Application:
 * Correctly save position in video
 * Correctly unmute when using volume keys
 * Fix regressions

Translations:
 * Update of Turkish, Swedish, Portuguese, Japanese, German,
   Chinese, Ukrainian. Swedish, Dutch, Spanish


Changes between 1.6.4 and 1.6.5:
--------------------------------

Application:
 * Add optional seeking buttons in video player
 * Fix crash on Audio Album sorting
 * New preferences code using Material design
 * Update support library to 23.1
 * Fix FloatingActionButton on Android 2.x
 * Allow seeking action in all elements in audio player


Changes between 1.6.3 and 1.6.4:
--------------------------------

Core:
 * Fix playback and seeking of some ASF/WMV/WMA files

Application:
 * Fix staying-alive screen
 * Correctly sort by track number in the album view


Changes between 1.6.2 and 1.6.3:
--------------------------------

Application:
 * Fix crash on Android < 3.0


Changes between 1.6.1 and 1.6.2:
--------------------------------

Application:
 * Fix crashes on wiko and QMobile phones (bis repetita)
 * Fix IllegalStateException in AWindow when relaunching VideoPlayer
 * Fix crash in Video Fragment on old Android versions


Changes between 1.6.0 and 1.6.1:
--------------------------------

Application:
 * Fix crashes on wiko and QMobile phones
 * Fix preferences crashes
 * Fix crashes in Videos List and Main Activity


Changes between 1.5.90 and 1.6.0:
---------------------------------

Core:
 * Streamline libVLCjni.so symbols
 * Port to Android-M
 * Fix HTTP seek regression from 1.5.90

Application:
 * Speed up the video/audio lists interface
 * Speed up the thumbnailing process and remove glitches
 * Correctly blacklist the system notifications and ringtones
 * Fix last playlist and random restoration
 * Fix grouping of videos
 * Translations update


Changes between 1.5.2 and 1.5.90 (1.6.0-beta):
----------------------------------------------

Core:
 * Hardware decoding performance improvements

Application:
 * Revamped Advanced options dialog
 * Properly restore audio volume
 * Restored 'delete playlist' option
 * Introduction of a 'dark' widget
 * Performance improvement for Audio/Video media lists display
 * Databinding implementation
 * Upgraded AppCompat to version 23.0.1
 * Fix last audio shortcut
 * Fix thumbnail for ts and dvd
 * Fix thumbnail aspect ratio with some videos
 * Translations update

TV:
 * Fix video player behaviour while playing in background
 * Fix media keys events management


Changes between 1.5.1 and 1.5.2:
--------------------------------

Core:
 * Fix configuration of MediaCodec opening

Application:
 * Add an option to disable auto scanning device at application startup
 * Update to SDK 23 and appcompat 23
 * Fix remote play/pause button behaviour
 * Fix delete option for playlists
 * Play all songs starting on the one selected in 'songs' tab
 * Hidden feature : play a video in loop by long press on 'play' in video player
 * Fix audio browser showing 'no media' view
 * Fix scan after interrupted previous scan

TV:
 * Immediatly pause video once not visible anymore on TV background
 * Stop button now exits audio player on TV
 * Refactored network browser, now showing alphabetically grouped files


Changes between 1.5.0 and 1.5.1:
--------------------------------

Core:
 * Fix performance regression, by fixing an Audio synchronisation issue

libVLC:
 * Add Setters for SurfaceTextures in AWindow

Application:
 * Fix append option in album view
 * Fix crop after screen rotation
 * Prevent too frequent devices scanning
 * Fix intent listing
 * New interface for advanced options: playback speed, chapters, Jump to Time,
   Audio/Subtitles delay, Equalizer, play as audio...
 * Add a "title" option for extra Intents when calling VLC

TV:
 * Fix some background video issue when playing audio
 * Support the stop button on remotes
 * Add Now Playing tile in main view

Translations
 * Update of all translations


Changes between 1.4.1 and 1.5.0:
--------------------------------

Application:
 * Removed permission READ_LOGS for recent Android versions
 * Removed permission READ_PHONE_STATE for recent Android versions
 * Handle media (external SD cards & USB keys) mount and unmount
 * Position in playlist and in song are now restored when you load last playlist
 * Design improvements, replaced some dialogs and toasts by snackbars
 * Merge Audio and Video playback in a PlaybackService
 * Improve audio<->video modes switches
 * Large code cleaning in all layers of the application
 * Fix advanced video options and video resolver crashing
 * Chapters/titles detection improvements
 * Fix audio focus in numerous cases
 * New subtitles file picker
 * Improve incoming View Intent to get subtitles path
 * Use TabLayout and FloatingActionButton from appcompat instead of custom code
 * Control Widget is now resizable
 * Media Information is available from Directory browsing
 * New interface for sleep timer and jump to time

Chrome:
 * Fix runtime issue with pipe2 absence
 * Disable quit&restart

libVLC:
 * Rewrite of most libVLCjni classes, notably MediaPlayer, libVLC, Media,
   Equalizer and the related ones
 * Rewrite events managements, callbacks and surface callbacks
 * Creation of a .aar file for libVLC

Core:
 * libvlc new API to set the Android context for surfaces
 * Removal of static and extern objects for thread-safety
 * Merge of all video outputs into one

TV:
 * Fix HDMI devices
 * Support video in background
 * Add more features in video playback that were only on the non-TV version


Changes between 1.4.0 and 1.4.1:
--------------------------------

Application:
 * 'Play' option in context menu on albums
 * Handle FileProviders URIs from external apps
 * Playback is tried for every filetype in directories browser mode
 * Misc fixes, including in the file deletion part and file browsing

SDK:
 * VideoPlayerActivity now returns result, with return code and extras infos

Core:
 * Add new acceleration option using MediaCodec NDK API

Translation updates:
 * Most languages updated


Changes between 1.3.2 and 1.4.0:
--------------------------------

Application:
 * Unify directories managment between preferences and Directories browser
 * Rewrite the directory browser
 * Long press on +/- buttons to continuously increase/decrease audio au subs delay
 * Material fixes for dialogs and some activities
 * Fix regression on the mini-player displaying in some activities
 * Support Play all in folders
 * Fix crashes
 * Don't use hardware decoding for some MTK devices on Android 4.1 because of a black screen (still investigating)

Core:
 * Blacklist some Samsung devices from hardware decoding


Changes between 1.3.1 and 1.3.2:
--------------------------------

Application:
 * Fix wrong media opened from new local files browser
 * Fix potential crash in the MainActivity
 * Fix TV build

Changes between 1.3.0 and 1.3.1:
--------------------------------

Application:
 * Increase the accessibility of the application
 * Change the Side Bar to meet Material Design update
 * Rewrite the local files browsing, using the network browsing code, which adds
   preparsing, prefetching, async, extensibility and code reuse
 * New album browser view
 * Fix back button behavior on VideoPlayer
 * Improve Material look, Ripple effect on Lollipop
 * Activate the Audio Delay control
 * Smaller Video Player Controler
 * Fix crashes, focus, rotations
 * Update to AppCompat 22.1

JNI:
 * Add a way to capture stdout logs directly

Core:
 * Time stretching is now on by default
 * Activate hardware acceleration for .TS files
 * Fix crashes with live streaming and hardware acceleration
 * Fix WMV on MTK devices
 * Improve audio resampler quality

TV:
 * Fix recommendations duplication and improve recommendations
 * Fix B button handling and TextViews

Translations:
 * Update of ALL the translations


Changes between 1.2.6 and 1.3.0:
--------------------------------

libvlcjni:
 * prepare the audio <=> video switch

Application:
 * Support background playback for video
 * Update close, playlist and save icons
 * Broadcast metadata to other apps, including scrobblers
 * New Advanced dialog for audio playback
 * Improve search look and accuracy
 * Fix double entries for external SD cards, notably LG G3, Tablet Shield
 * Fix Android 4.1 navigation bar
 * Fix focusability of repeat, shuffle and audio buttons
 * Fix shuffle button
 * Fix crashes and interface issues
 * Fix accessibility text on some buttons of the interface
 * Remove wheelview dependency

Translations:
 * Update of German, Simplified Chinese, Ukrainian, Tamil, Portuguese, Italian,
   Galician and Spanish translations


Changes between 1.2.5 and 1.2.6:
--------------------------------

Core:
 * Fix crash on startup with some iso files

Application:
 * Fix presentation mode
 * New audio material design icons
 * Fix gestures sensitivity
 * Improve memory management
 * Minor bug and crash fixes

TV:
 * Fix recommendation playback


Changes between 1.2.4 and 1.2.5:
--------------------------------

Application:
 * Fix audio stutter with some devices
 * Fix MPEG4 on some MTK devices (Wiko)
 * Fix crashes with some QCOM devices (Samsung Galaxy Tab 4, Galaxy S4/S5...)
 * Minor fixes and UI adjustments
 * Add option to ask for resume video or play from star
 * Volume/brightness: add a vertical bar and levels in %


Changes between 1.2.3 and 1.2.4:
--------------------------------

Application:
 * Fix crashes
 * Fix material design for action bar
 * Fix audio support on Fire OS


Changes between 1.2.2 and 1.2.3:
--------------------------------

Application:
 * Fix material alignment
 * Support chapter selection
 * Fix directory context menu
 * Fix crash when seeking

Translations:
 * Update of Danish, Croatian, Kabyle, Polish, Slovenian, Swedish and Turkish


Changes between 1.2.1 and 1.2.2:
--------------------------------

Core:
 * Fix an audio/video sync regression

Application:
 * Add an intent to load sub files
 * Seek by position instead of time, by default


Changes between 1.2.0 and 1.2.1:
--------------------------------

Application:
 * Allow to switch to audio mode, when playing a video
 * Change the sort icon to match Material design
 * Fix crash

TV:
 * Better navigation with buttons and gamepad
 * Fix network favorites


Changes between 1.1.6 and 1.2.0:
--------------------------------

Application:
 * Show 'load last video' option on phones
 * (Lollipop only) Swipe music notification to remove it. When playback is paused.
 * Fix video ts opened as audio
 * Fix black theme
 * Fix player menu hidden with some MKV files
 * Keep player speed between videos
 * Refactor track selections and updates
 * Option to exlude Directories from Media Library
 * Playlists support for audio
 * In video player, lock the back button in lock mode
 * Fix crashes for Android 2.x
 * Allow to sort video by modified date
 * Improve volume and brightness gestures
 * Support cover for video files
 * Misc bugfixes

TV:
 * Better thumbnails
 * Better recommendations (last video 3 random ones)
 * Better gamepad events

Translations:
 * Thai, Russian, French, Traditional Chinese, Simplified Chinese, Ukrainian,
   Turkish, Tamil, Swedish, Slovak, Portuguese, Polish, Dutch, Korean,
   Japanese, Italian, French, Finnish, Spanish, Modern Greek, German and
   Danish updates


Changes between 1.1.5 and 1.1.6:
--------------------------------

Application:
 * Fix look of secondary fragments activities, for better navigation
 * Rework actions
 * Fix rare crashes
 * Fix HDMI unplugging
 * Improve seek
 * Fixes on AudioFocus
 * Fixes on Black Theme

TV:
 * Recommend last video viewed
 * Better UI while scanning

Core:
 * Fix mediacodec crash


Changes between 1.1.4 and 1.1.5:
--------------------------------

Application:
 * Fix BD upgrade crashes, because of broken versions of Android


Changes between 1.1.3 and 1.1.4:
--------------------------------

Core:
 * Support ModTracker files
 * Fix freeze when changing audio speed

Audio:
 * Add AC3 passthrough support on Lollipop (Tested on Nexus Player)
 * Add PCM 5.1 and 7.1 support via HDMI or SPDIF
 * Add Float support on Lollipop

Application:
 * More Material fixes (search, streams, equalizer)
 * Improvements on the black theme (colors and settings)
 * Fix numerous crashes
 * Fix album art for artists

TV:
 * Fix look of numerous activities
 * Better keyboard and gamepad mappings
 * Shuffle and repeat in Audio mode
 * Better recommendations

Translations:
 * Update most translations


Changes between 1.1.2 and 1.1.3:
--------------------------------

Core:
 * Improve audiotrack performance and quality

Main Application:
 * SearchView in Material, new search look and performance
 * New FAB to play all the songs
 * Rework information panel
 * Ellipsize long URLs in stream panel
 * Improve dark theme
 * Fix Moto G SD cards detection
 * Fix LG bug with menu button
 * Fix rare NPE for Samsung devices
 * Fix numerous NPE and crashes


Changes between 1.1.1 and 1.1.2:
--------------------------------

Main Application:
 * Fix fast scrolling pulling refresh
 * Fix settings toolbar to look Material

TV:
 * Fix gamepad requirement


Changes between 1.1.0 and 1.1.1:
--------------------------------

Main Application:
 * Bugfixes
 * UI Adjustments
 * Restore dpad navigation between audio tabs


Changes between 1.0.2 and 1.1.0:
--------------------------------

Main Application:
 * New design for Material/Lollipop
 * Port to 5.0 new APIs
 * Rewrite of most views
 * Gamepad controller support for navigation
 * Async load of fragments and search
 * Option to show videos as list in portrait
 * Suport pull to refresh
 * Tracknumber, DiscNumber & AlbumArtist tags support for audio files
 * Handle nowplaying for streams
 * Set Audio & Subs delay

TV:
 * Port for Android TV
 * Video + Audio browsing, settings
 * Recommandations

Core:
 * Rewrite of the NativeWindow output
 * Support of direct rendering and GPU 0-copy
 * New rendering of subtitles
 * New audio output based on AudioTrack
 * Support all the new ABIs

Fixes:
 * Fix parsing of metadata with space
 * Fix popup context menu loaded for wrong files
 * More than 60 bugs fixed

Build:
 * Move to Gradle
 * Prepare compilation for Android, Android TV, Chrome
 * Simpler multi-ABI compilation

Translations:
 * Update of all the translations


Changes between 1.0.0 and 1.0.1:
--------------------------------

Main Application:
 * Fix popup context menu loaded for the wrong items


Changes between 0.9.10 and 1.0.0:
---------------------------------

Main Application:
 * Minimum Lollipop support
 * Support remotes for DVD navigation
 * Immersive mode from Kitkat and on
 * Fix crashes

Translations:
 * Update of all the translations


Changes between 0.9.8 and 0.9.9:
--------------------------------

Main Application:
 * Fix Artist names on the lock screen and bluetooth interface
 * Allow VLC to be installed as a system app
 * Fix potential crashes in the UI

Core:
 * Fix assert on some video decoding
 * Fix avi and m4a regressions

Translations:
 * Update of all the translations (more than 60 languages now)


Changes between 0.9.7 and 0.9.8:
--------------------------------

Main Application:
 * Fix compatibility with Android 2.1
 * Fix Media detection when the extension was in UPPER CASE
 * Fix default display orientation for the Video Player
 * Fix possible crashes and leaks
 * Fix "replay from start" issue when screen goes off

Core:
 * Fix compatibility with MIPS (broken with the native crash handler
 * Support building with NDKr10
 * Prepare support for OMX zero-copy for Honeycomb+ (Android-11 and later)

libVLCjni:
 * Add bitrate information, statistics and player state methods

Translations:
 * Update of Spanish, Finnish, French, Hebrew, Indonesian, Marathi, Polish,
   Portuguese, Tatar translations


Changes between 0.9.7 and 0.9.7.1:
----------------------------------

Main Application:
 * Fix "mysterious" disappearance of the video buttons :)
 * Fix a couple of crashes in preferences, history and media information panels


Changes between 0.9.6 and 0.9.7:
--------------------------------

Core:
 * Fix pthread issue on Android L
 * Fix wrong error on some x86 devices

Main Application:
 * Add a DVD menu button, fix DVD navigation and improve DVD menus support
 * Cache DVD CSS keys
 * Remove dependency on ActionBarSherlock: use android-support-v7-appcompat
   instead, from now on.
 * Fix various crashes on application and video playback start

Translations:
 * Initial Nepali and  Bengali translations
 * Update of Traditional Chinese, Simplified Chinese, Uzbek, Serbian, Slovenian,
   Russian, Romanian, Brazilian Portuguese, Portuguese, Polish, Marathi,
   Japanese, Italian, Scottish Gaelic, French, Modern Greek, Welsh, and Bosnian
   translations


Changes between 0.9.5 and 0.9.6:
--------------------------------

Core:
 * repair equalizer
 * Blacklist hardware decoding for more TS files

Main Application:
 * Fix crash in Audio browsing and Video player
 * Fix retaining of user playlists when clearing
 * Updates of all translations


Changes between 0.9.4 and 0.9.5:
--------------------------------

 * Fix a codec crash during thumbnailing
 * Fix various crashes in Audio and Video views
 * Fix hardware decoding exceptions


Changes between 0.9.3 and 0.9.4:
--------------------------------

Core:
 * Fix playback of numerous files formats
 * Fix some crashes in hardware decoding

Main application:
 * New VLC icon
 * Tips and tutorial are shown on the first start
 * Add the possibility to send a report after a native crash
 * Numerous icons modifications and tweaks
 * Support Dual Audio in remote mode
 * Fast scroll using letters in audio views
 * DVD menu are now supported
 * Vibrations on long clicks
 * Major translations updates


Changes between 0.9.2 and 0.9.3:
--------------------------------

Main Application:
 * Fix a crash in the Remote Audio Player, leading to misbehaviours in the
   Audio player service
 * Minor icon tweaks


Changes between 0.9.1 and 0.9.2:
--------------------------------

Core:
 * Support DVD iso

Main Application:
 * Fix numerous crashes in the interface
 * Improve the Secondary Display experience
 * Update most translations


Changes between 0.9.0 and 0.9.1:
--------------------------------

Core:
 * Fix mp4 playback

Main Application:
 * Fix crash on some 2.3.x devices
 * Fix numerous crashes in the interface


Changes between 0.1.4 and 0.9.0:
--------------------------------

Core:
 * Hardware acceleration for video decoding and rendering
 * New OpenGL video output
 * Support subtitles accelerated rendering
 * Support for SDK package creation
 * Decoding and filter accelerations for ARM and x86
 * Support video cropping
 * Allow thumbnailing of 4k videos

Main Application:
 * New UI for the application, available in white and dark
 * Enable Hardware decoding by default on Android 4.3 and newer
   Direct fallback to software when hardware fails
 * New UI for HDMI and Secondary Screens
 * Experimental support for Miracast/WiDi
 * New audio equalizer
 * Group of video files in folders, for TV shows
 * New preferences organization
 * New detection for SDcards
 * Add an option for frame skip to improve performance
 * Add an option to set network caching
 * Better audio service destruction
 * Fix opening MRLs and video streaming
 * Fix many crashes and warnings

Translations:
 * Initial Greek, Kannada, Slovenian, Uzbek, Swedish, Sinhala, Romanian and
   Latvian translations
 * Updates to the Arabic, Bosnian, Brazilian Portuguese, Catalan, Czech,
   Danish, Dutch, French, Galician, German, Greek, Hebrew, Hindi, Icelandic,
   Italian, Japanese, Khmer, Korean, Lithuanian, Marathi, Norwegian Bokmal,
   Polish, Portuguese, Russian, Scottish Gaelic, Serbian, Simplified Chinese,
   Slovak, Spanish, Thai, Traditional Chinese, Turkish, Ukrainian, Urdu,
   Vietnamese and Welsh translations


Changes between 0.1.3 and 0.1.4:
--------------------------------

Main Application:
 * Remove completion for URL opening
 * Fix video stream playback when notifications arise
 * Fix crashes in History Fragment
 * Fix widget update events

Core:
 * Fix video output on 2.x versions
 * Fix thumbnailer


Changes between 0.1.2 and 0.1.3:
--------------------------------

Main Application:
 * Fix SQlite crash on init
 * Fix wrong display time on video player
 * Fix crash on item selection in subfolder in directory view

Core:
 * Fix for FLAC
 * Fix for video output on 4.3


Changes between 0.1.1 and 0.1.2:
--------------------------------

* Relicensed libVLC jni wrapper and Java counterpart to LGPL

Audio Service:
 * Keep the service alive only when playing
 * Fix crashes

Main Application:
 * Manual selection of subtitles
 * Fix crashes and warnings
 * Add an option to adjust the deblocking filter level, resulting in
   noticeable performance improvements.

Translations:
 * Initial Icelandic, Lithuanian and Vietnamese translations
 * Updates to the Bosnian, Catalan, Chinese, Czech, Danish, Dutch,
   Galician, German, Hebrew, Hindi, Italian, Japanese, Marathi,
   Norwegian Bokmål, Polish, Portuguese, Russian, Scottish Gaelic,
   Serbian, Slovak, Spanish, Thai, Turkish, Ukrainian, French,
   and Welsh translations


Changes between 0.1.0 and 0.1.1:
--------------------------------

Core:
* Fix numerous crashes and error paths


Translations:
 * Updates to German, Italian and Galician Translations
 * New Welsh translation


Changes between 0.0.11 and 0.1.0:
---------------------------------

Core:
 * Update to libVLC 2.1.0 new log API
 * Update libVLC
 * Allow to build with x86_64 and OSX SDKs
 * Reduce memory usage

Main Application:
 * Warn user if playback of a deleted item starts
 * New dialog for speed/sleep/jump
 * New control from Notifications
 * Fix multiple important crashes
 * Fix some subtitles selections
 * Fix some infinite thumbnail retries
 * Fix issues where a media would not start

libVLC:
 * split libVLC classes to their own package: org.videolan.libvlc

Translations:
 * Update of Basque, Croatian


Changes between 0.0.10 and 0.0.11:
----------------------------------
Main Application:
 * Numerous fixes for recurrent crashes
 * Better debugging log facility
 * Show seek position when locked in fullscreen mode
 * Avoid running thumbnailer when playing audio only
 * Improve the overlay fading after a gesture

Translations:
 * Initial Burmese, Danish, and Serbian translations
 * Updates to the Bosnian, Catalan, Croatian, Czech, Danish, Dutch,
   Estonian, German, Italian, Japanese, Khmer, Norwegian Bokmål, Polish,
   Portuguese, Russian, Slovak, Spanish, Thai, Turkish, Ukrainian, Urdu,
   Simplified Chinese, and Traditional Chinese translations


Changes between 0.0.9 and 0.0.10:
---------------------------------
 * Subs selection
 * Fixes for 2 frequent crashes


Changes between 0.0.8 and 0.0.9:
--------------------------------
Core:
 * Various crash/stability fixes
 * Improved video-audio synchronization
 * Improved automatic SD card detection
 * Experimental YV12-based androidsurface
 * Wakelock issue with stopping was fixed
 * Use of a faster DTS decoding library
 * Codec updates

Main application:
 * SD cards mount point fixes
 * Change of subtitle encoding is now possible
 * Subtitles and audio track selection is now preserved across calls
 * Many bugfixes in the interface
 * Fix selection of some audio tracks
 * A sleep timer was added for audio and video
 * Added an option to add custom paths to the media library scanner
 * content:// based URIs from Camera and file pickers now supported
 * Fix video player resume of media outside the media library
 * Jump to Time feature
 * Allow to open a video as audio-only

Widget:
 * Display the timeline

Translations:
 * Initial Traditional Chinese, Catalan, and Urdu, Odia,
   Norwegian Bokmål and Portuguese (Portugal) translations
 * Updates to the Bosnian, Japanese, Russian, French, Korean,
   Simplified Chinese, Turkish, Thai, Slovak, Polish, Dutch, Khmer,
   Italian, Hebrew, Galician, Spanish, German, Czech, Estonian,
   Hindi, and Bosnian translations


Changes between 0.0.7 and 0.0.8:
--------------------------------

Core:
 * Support MIPS compilation

Main application:
 * SD cards mount points are auto-detected
 * Directory view starts from the SD cards and are live-detected
 * Improve the thumbnailing process
 * Improve the headset handling and remote control code, including bluetooth
 * Correctly support the lock screen controls
 * Fixes for Android 4.2 support
 * Fix for sound notification loudness
 * Fixes miscellaneous crashes and issues

Interface:
 * Allow toggling between remaining and total time in fullscreen
 * Allow a menu option to start the media from the beginning
 * Add different options for rotation and screen orientation
 * Fix sorting of album tracks
 * Add a ticker in the status bar, when playing audio
 * Improve the Directories View
 * Translations


Changes between 0.0.6 and 0.0.7:
--------------------------------

Core:
 * Fix audio output selection to fix the audio-sync

Main application:
 * reduce the memory used for thumbnails decoding
 * better behaviour when we are low on memory
 * fix the interaction between thumbnailing and sleeping
 * fix various crashes

Interface:
 * better multi-column look on low resolution phones
 * fix audio song sorting
 * add a popup-menu in the video list
 * Show Volume and Brightness values
 * fix navbar hiding on tablets


Changes between 0.0.5 and 0.0.6:
--------------------------------

Core:
 * Change threading code for Android
 * Fix MediaCodec decoding
 * Fix audio issues in cook and DTS

Main application:
 * Reduce the memory and CPU used in the video list
 * Use bitmap caching to improve smoothness
 * Display the current playing position as a progress bar under every video

Interface:
 * Add animations in the video list
 * Simplify the fullscreen interface


Changes between 0.0.4 and 0.0.5:
--------------------------------

Core:
 * Autodetection of NEON at runtime: ARMv7-a builds should work everywhere
   including tegra2 and cortex-a8 without NEON
 * Better threading support
 * Support for MediaCodec Jelly Bean hardware decoding

Main application
 * Better extensions and intent integration
 * Better service start/stop to avoid using CPU when VLC is not running or
   when we are playing a video
 * Automatic rescan when needed
 * Fix headset detection during phone calls
 * Fix several crashes
 * Fix compatibility with Android 2.1 (android-7)

Interface:
 * New grid look for Video List on tablets and phone in landscape-mode
 * Cover arts are now shown in Audio List panels
 * Better notification and use of covers in notifications
 * Directory View back button does now a parent-up action
 * Fix several crashes and misbehaviour of fragments
 * Fix small issues in About dialog, Video List, menu and preferences
 * Back button correctly behaves in fullscreen
 * Fix several sliding menu bugs

Translations
 * many :)


Changes between 0.0.3 and 0.0.4:
--------------------------------

Interface:
 * Many Sliding Menu fixes
 * Fix subtitles and audio tracks selection
 * Fix Sliding menu selection
 * Fix about dialog
 * Update the android compatibility library to avoid crashes (r10)
 * Miscellaneous fixes

Core:
 * fix mp4 playback
 * correctly restrain the background processing of thumbnails and medialibrary


Changes between 0.0.2 and 0.0.3:
--------------------------------

Device specific:
 * Add support for the Nexus7
 * Add support for Android x86

Core:
 * Many, many bugfixes and stability improvements
 * Building for Android-x86 is now supported
 * IOMX hardware acceleration and AudioTrack improvements on Jellybean
 * Media library scanning is now faster and more efficient
 * The aspect ratio is now correctly handled in software decoding

Interface:
 * Sliding panel added in video player
 * Tabs replaced with a sliding sidebar
 * Added the feature to change the playback speed in audio and video
 * Improved seek gesture
 * Added optional brightness gesture
 * Added ability to set the system ringtone to a song from VLC
 * Added history support
 * On ICS and above, added lockscreen control for music

Translations:
 * Added Arabic, Bengali, Bosnian, Korean, Russian, Thai translations
 * Updates for the Simplified Chinese, Turkish, Polish, Hebrew,
   Galician, German, Czech, Bosnian, Estonian, Japanese, Italian, Dutch,
   Hindi and Slovak translations

Changes between 0.0.1 and 0.0.2:
--------------------------------

Core:
 * the application can now go on the SDcard
 * Database speed improvements
 * .nomedia folders are correctly ignored now

Interface:
 * Dynamically switch from audio to video player on ES change
 * Reduce video player control size
 * ICS: better integration when dimming and fullscreen
 * Deletion is possible in folder mode

Stability issues:
 * Fix numerous crashes
 * Fix some memory leaks
 * Better separation of the audio widget and the service

Translations:
 * Added Hebrew, Polish, Hindi, Basque, Galician, Dutch, Ukrainian, Croatian,
   Czech, Scottish Gaelic, Telugu, Japanese, Chinese Simplified, Slovak,
   Spanish, Walloon, Marathi, Khmer, Italian, Polish and Estonian translations
